# TODO:
# - init for netserver (maybe not, you don't need it running 24x7, do you?)
Summary:	Performance testing tool for TCP/UDP
Summary(es.UTF-8):	Mide la Velocidad de la Conecion entre dos maquinas
Summary(pl.UTF-8):	Narzędzie do testowania wydajności dla TCP/UDP
Summary(pt_BR.UTF-8):	Ferramenta para testes de performance de rede TCP/UDP
Name:		netperf
Version:	2.6.0
Release:	2
License:	distributable
Group:		Networking
Source0:	ftp://ftp.netperf.org/netperf/%{name}-%{version}.tar.bz2
# Source0-md5:	9654ffdfd4c4f2c93ce3733cd9ed9236
Patch1:		%{name}-scripts.patch
URL:		http://www.netperf.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netperf is a tool for measure TCP/UDP speeds.

%description -l es.UTF-8
El netperf mide la velocidad en que la tarjeta de red responde.

%description -l pl.UTF-8
Netperf to narzędzie do mierzenia szybkości TCP/UDP.

%description -l pt_BR.UTF-8
Ferramenta para medir a velocidade de transferências TCP/UDP.

%package -n netperf-scripts
Summary:	Scripts for Netperf
Summary(pl.UTF-8):	Skrypty dla Netperfa
Group:		Networking

%description -n netperf-scripts
Scripts for Netperf.

%description -n netperf-scripts -l pl.UTF-8
Skrypty dla Netperfa.

%prep
%setup -q
%patch1 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for a in doc/examples/*; do
	s=${a##*/}
	install -p $a $RPM_BUILD_ROOT%{_bindir}/%{name}-$s
done

rm -f $RPM_BUILD_ROOT%{_bindir}/*Makefile*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README Release_Notes
%attr(755,root,root) %{_bindir}/netperf
%attr(755,root,root) %{_bindir}/netserver
%{_infodir}/netperf.info*
%{_mandir}/man1/netperf.1*
%{_mandir}/man1/netserver.1*

%files -n netperf-scripts
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/netperf-arr_script
%attr(755,root,root) %{_bindir}/netperf-packet_byte_script
%attr(755,root,root) %{_bindir}/netperf-sctp_stream_script
%attr(755,root,root) %{_bindir}/netperf-snapshot_script
%attr(755,root,root) %{_bindir}/netperf-tcp_range_script
%attr(755,root,root) %{_bindir}/netperf-tcp_rr_script
%attr(755,root,root) %{_bindir}/netperf-tcp_stream_script
%attr(755,root,root) %{_bindir}/netperf-udp_rr_script
%attr(755,root,root) %{_bindir}/netperf-udp_stream_script
%changelog
* Sun Mar 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/netperf.git;a=log;h=master

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 3f35721
- missing fix-info-dir

* Wed Feb 06 2013 Łukasz Chrustek <lukasz@chrustek.net> 7ba640f
- up to 2.6.0

* Thu Jul 21 2011 marti <marti@pld-linux.org> 1a05030
- up to 2.5.0

* Mon Feb 21 2011 Elan Ruusamäe <glen@pld-linux.org> 7140a54
- fix some more scripts

* Mon Feb 21 2011 Elan Ruusamäe <glen@pld-linux.org> 48023c0
- info/dir not always created, so remove always

* Mon Feb 21 2011 Elan Ruusamäe <glen@pld-linux.org> aba4645
- up to 2.4.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7251ab4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 575da25
- converted to UTF-8

* Thu Aug 10 2006 sparky <sparky@pld-linux.org> 3d5103f
- use %{__cc} and %{rpm*flags}

* Thu Aug 10 2006 sparky <sparky@pld-linux.org> 812d995
- added OPTFLAGS and LDFLAGS

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> d465a5c
- adapterized
- s/Freely Distributable/distributable/ in License

* Tue Oct 19 2004 domelu <domelu@pld-linux.org> cecba8a
- revert netperf.debug path
- rel. 3

* Tue Oct 19 2004 domelu <domelu@pld-linux.org> 5d3222d
- revert netperf.debug path

* Mon Oct 18 2004 domelu <domelu@pld-linux.org> 4d07773
- rel. 2; rebuild

* Mon Oct 18 2004 domelu <domelu@pld-linux.org> 8ebe052
- proper place for netperf.debug
- pldized NETPERF_HOME path
- rel. 1.1

* Mon Oct 18 2004 domelu <domelu@pld-linux.org> 9e221d3
- proper place for netperf.debug
- pldized NETPERF_HOME path

* Sun Jul 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 06a9f5b
- cosmetics

* Sat Jul 17 2004 domelu <domelu@pld-linux.org> da63420
- cosmetics

* Sat Jul 17 2004 domelu <domelu@pld-linux.org> 0e5af23
- rel 1, STBR
- todo: init for netserver

* Sat Jul 17 2004 domelu <domelu@pld-linux.org> b728d92
- fix

